Name:           nde-customization 
Version:        1.0.0
Release:        12%{?dist}
Summary:        Customization for NDE

License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
# BuildArch:      noarch
Requires:       fcitx-configtool
buildrequires:  	cmake
Provides:       libdrmicon


%define _unpackaged_files_terminate_build 0

%description
Customization for NDE V4


%prep
%setup -q

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
/usr/bin/cmake -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%triggerin -- firefox
/bin/rm -rf %{_libdir}/firefox/browser/defaults/preferences/all-redhat.js
/bin/rm -rf %{_libdir}/firefox/defaults/preferences/all-redhat.js
/bin/cp -f /usr/share/nde-customization/firefox/all-redhat.js %{_libdir}/firefox/browser/defaults/preferences/
/bin/cp -f /usr/share/nde-customization/firefox/all-redhat.js %{_libdir}/firefox/defaults/preferences/

%triggerin -- chromium
sed -i "s/start.fedoraproject.org/www.gd-linux.com/g" /etc/chromium/master_preferences
sed -i '3s/false/true/' /etc/chromium/master_preferences

%triggerin -- google-chrome-stable
/bin/rm -rf /etc/yum.repos.d/google-chrome.repo

%triggerin -- fcitx-data
FCITX_CONFIG_FILE="/usr/share/fcitx/configdesc/config.desc"
if [ -f $FCITX_CONFIG_FILE ]; then
    sed -i '36s#DefaultValue=L_SHIFT#DefaultValue=SHIFT Both#' $FCITX_CONFIG_FILE
    sed -i '41s#DefaultValue=#DefaultValue=CTRL_SHIFT#' $FCITX_CONFIG_FILE
    sed -i '67s#DefaultValue=False#DefaultValue=True#' $FCITX_CONFIG_FILE
fi

%triggerin -- systemd
sed -i "s/#DefaultTimeoutStartSec=90s/DefaultTimeoutStartSec=10s/g" /etc/systemd/system.conf
sed -i "s/#DefaultTimeoutStopSec=90s/DefaultTimeoutStopSec=10s/g" /etc/systemd/system.conf

%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/nde-customization
mkdir -p $RPM_BUILD_ROOT/usr/share/nde-customization

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


cp -rf  $RPM_BUILD_DIR/%{name}-%{version}/* $RPM_BUILD_ROOT/usr/share/nde-customization



%post
cp -rf  /usr/local/lib/nde-customization/libdrmicon.so /usr/lib64/

%files
%defattr(-, root, root)
%dir /usr/share/nde-customization
/usr/share/nde-customization/firefox/
/usr/local/lib/nde-customization/libdrmicon.so



%changelog
* Thu Nov 05 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-12
- 去掉udisks2脚本修改，已经在udisks2源码中改好

* Tue Aug 18 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 1.0.0-11
- 修改卡住一分30秒问题

* Thu Jul 16 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-10
- 添加fcitx-configtool依赖

* Fri Jul 10 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-9
- 修复弹出磁盘出现错误提示问题

* Thu Jul 2 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-8
- 修改udisks2配置文件

* Sun Jun 28 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-6
- 修改浏览器主页

* Thu Jun 18 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-5
- 删除此处对mtools的修改，删除代理定制，移植至nde-repos-zte中

* Wed Jun 17 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-4
- 修改mtools配置

* Thu Jun 11 2020 mai.zhuodong <mai.zhuodong@zte.com.cn> - 1.0.0-3
- 完善代理设置

* Wed Jun 10 2020 mai.zhuodong <mai.zhuodong@zte.com.cn> - 1.0.0-1.4
- 添加代理设置

* Thu May 28 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-1.1
- 删除google浏览器的源仓库地址

* Tue May 19 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-1.0
- 构建新的桌面定制包.

